# module Gem::SafeYAML

This module is used for safely loading `YAML` specs from a gem. The ‘safe_load` method defined on this module is specifically designed for loading `Gem` specifications. For loading other `YAML` safely, please see `Psych.safe_load`

### Constants

PERMITTED_CLASSES
PERMITTED_SYMBOLS

### Public Class Methods

load (input)
Source

    # File lib/rubygems/safe_yaml.rb, line 41
    def self.load(input)
      ::Psych.safe_load(input, permitted_classes: [::Symbol])
    end

safe_load (input)
Source

    # File lib/rubygems/safe_yaml.rb, line 37
    def self.safe_load(input)
      ::Psych.safe_load(input, permitted_classes: PERMITTED_CLASSES, permitted_symbols: PERMITTED_SYMBOLS, aliases: @aliases_enabled)
    end